%define name	kchildlock
%define version	 0.76.2
%define release	%mkrel 1
%define Summary	 Tool to monitor and restrict time spend on computer by a children

Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
Source0:	http://ufpr.dl.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:		kchildlock-0.76.2-fix-install.patch
License:	GPLv2
Group:		Graphical desktop/KDE 
URL:		http://kde-apps.org/content/show.php/KChildlock?content=88124
BuildRequires:	kdelibs4-devel	

%description

kchildlock is a tool to monitor and restrict the time a children spends on the
computer. The limits can be specified per day of the week, by lower and upper
hour limits, maximum daily usage time, and maximum weekly usage time. The same
restriction limits can be applied to applications based on the user login. It
requires the KDE4 Desktop.

%files  -f %{name}.lang
%defattr(-,root,root)
%_kde_libdir/kde4/kcm_kchildlock.so
%_kde_libdir/kde4/kded_kchildlockdaemon.so
%_kde_datadir/apps/%{name}/
%_kde_datadir/config/kchildlockrc
%_kde_services/kcm_kchildlock.desktop
%_kde_services/kded/kchildlockdaemon.desktop
%_var/opt/kchildlock/dummy.txt
%doc %_kde_docdir/HTML/en/kcontrol/%{name}

#------------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0 -b .prefix

%build
%cmake_kde4
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build


%find_lang %{name} 

%clean
%__rm -rf %buildroot


%changelog
* Fri Apr 23 2010 Funda Wang <fwang@mandriva.org> 0.76.2-1mdv2010.0
+ Revision: 538192
- more patch

* Fri Apr 23 2010 Funda Wang <fwang@mandriva.org> 0.76.2-1mdv2010.1
+ Revision: 538191
- fix detction on prefix of kde4
- really 0.76.2

* Fri Apr 23 2010 Funda Wang <fwang@mandriva.org> 0.76.1-2mdv2010.1
+ Revision: 538178
- new version 0.76.2

* Sat Apr 10 2010 Funda Wang <fwang@mandriva.org> 0.76.1-1mdv2010.1
+ Revision: 533544
- New version 0.76.1

* Wed Mar 17 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.75.4-1mdv2010.1
+ Revision: 523407
- New version 0.75.4
  Rediff patches
- Use kde macro for docdir

* Tue Mar 09 2010 Funda Wang <fwang@mandriva.org> 0.75.3-2mdv2010.1
+ Revision: 517077
- kworkspace is of no use
- correct fix for icon path

* Tue Mar 09 2010 Funda Wang <fwang@mandriva.org> 0.75.3-1mdv2010.1
+ Revision: 517050
- New version 0.75.3

* Tue Mar 02 2010 John Balcaen <mikala@mandriva.org> 0.75.2-1mdv2010.1
+ Revision: 513454
- import kchildlock

